From a3be242410cbeaa8c3d9dfef154b780064557727 Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Thu, 22 Jan 2009 17:49:59 +0300
Subject: [PATCH] winex11.drv: Revert to using ShowWindow instead WM_SYSCOMMAND sending in handle_wm_state_notify (eterbug #3029)

---
 dlls/winex11.drv/event.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dlls/winex11.drv/event.c b/dlls/winex11.drv/event.c
index 2aa064a..56e1135 100644
--- a/dlls/winex11.drv/event.c
+++ b/dlls/winex11.drv/event.c
@@ -996,19 +996,19 @@ static void handle_wm_state_notify( struct x11drv_win_data *data, XPropertyEvent
         if (is_net_wm_state_maximized( event->display, data ))
         {
             TRACE( "restoring to max %p/%lx\n", data->hwnd, data->whole_window );
-            SendMessageW( data->hwnd, WM_SYSCOMMAND, SC_MAXIMIZE, 0 );
+            ShowWindow( data->hwnd, SW_MAXIMIZE );
         }
         else
         {
             TRACE( "restoring win %p/%lx\n", data->hwnd, data->whole_window );
-            SendMessageW( data->hwnd, WM_SYSCOMMAND, SC_RESTORE, 0 );
+            ShowWindow( data->hwnd, SW_RESTORE );
         }
     }
     else if (!data->iconic && data->wm_state == IconicState)
     {
         TRACE( "minimizing win %p/%lx\n", data->hwnd, data->whole_window );
         data->iconic = TRUE;
-        SendMessageW( data->hwnd, WM_SYSCOMMAND, SC_MINIMIZE, 0 );
+        ShowWindow( data->hwnd, SW_MINIMIZE );
     }
 }
 
-- 
1.6.0.2.GIT

